{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1, 
  "newProjectRoot": "projects",
  "projects": {
    "plor-ng": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "",
      "sourceRoot": "src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/plor-ng",
            "index": "src/index.html",
            "main": "src/main.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.app.json",
            "aot": true,
            "assets": [
                "src/favicon.jpg",
                "src/assets",
                {
                  "glob": "**/*",
                  "input": "node_modules/leaflet/dist/images/",
                  "output": "./assets/"
               }
            ],
            "styles": [
                "node_modules/bootstrap/scss/bootstrap.scss",
                "node_modules/owl.carousel/dist/assets/owl.carousel.min.css",
                "node_modules/owl.carousel/dist/assets/owl.theme.default.min.css",
                "src/assets/css/animate.min.css",
                "src/assets/css/boxicons.min.css",
                "src/assets/css/fancybox.min.css",
                "src/assets/css/flaticon.css",
                "src/assets/css/magnific-popup.min.css",
                "src/assets/css/meanmenu.min.css",
                "src/assets/css/odometer.min.css",
                "node_modules/font-awesome/css/font-awesome.css",
                "src/styles.scss",
                "node_modules/ngx-toastr/toastr.css",
                "node_modules/leaflet/dist/leaflet.css",
                "node_modules/ngx-owl-carousel-o/lib/styles/prebuilt-themes/owl.carousel.min.css",
                "node_modules/ngx-owl-carousel-o/lib/styles/prebuilt-themes/owl.theme.default.min.css"
              
            ],
            "scripts": [
                "node_modules/jquery/dist/jquery.min.js",
                "node_modules/popper.js/dist/umd/popper.min.js",
                "node_modules/bootstrap/dist/js/bootstrap.min.js",
                "node_modules/owl.carousel/dist/owl.carousel.min.js",
                "src/assets/js/fancybox.min.js",
                "src/assets/js/appear.min.js",
                "src/assets/js/odometer.min.js",
                "src/assets/js/magnific-popup.min.js",
                "src/assets/js/meanmenu.min.js",
                "src/assets/js/sticky-sidebar.min.js",
                "src/assets/js/wow.min.js",
                "src/assets/js/main.js"
            ]
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "5mb",
                  "maximumError": "10mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "1mb",
                  "maximumError": "2mb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "plor-ng:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "plor-ng:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "plor-ng:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.spec.json",
            "karmaConfig": "karma.conf.js",
            "assets": [
              "src/favicon.jpg",
              "src/assets"
             
            ],
            "styles": [
              "src/styles.scss"
            ],
            "scripts": []
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "tsconfig.app.json",
              "tsconfig.spec.json",
              "e2e/tsconfig.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        },
        "server": {
          "builder": "@angular-devkit/build-angular:server",
          "options": {
            "outputPath": "dist/server",
            "main": "src/main.server.ts",
            "tsConfig": "src/tsconfig.server.json"
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "plor-ng:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "plor-ng:serve:production"
            }
          }
        }
      }
    }},
  "defaultProject": "plor-ng" ,
  "cli": {
    "analytics": false
  }
}
